- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.ListLegacySoarUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers/list#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarUsers.list

Returns a paginated list of users within a SecOps instance. Supports extensive filtering and ordering by fields such as `name`, `email`, `userType`, and `accountState`.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/legacySoarUsers`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list LegacySoarUsers for. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarUsers |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of LegacySoarUsers to return. The service may return fewer than this value. If unspecified, at most 50 LegacySoarUsers will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `legacySoarUsers.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of LegacySoarUsers. Supported filter fields: \* `givenName` \* `familyName` \* `socRole` \* `email` \* `avatar` \* `userType` \* `lastLoginTime` \* `environmentsJson` \* `permissionGroups` \* `accountState` \* `login_id` \* `provider_display_name` Example: `filter="email='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of LegacySoarUsers in the response. If not specified, LegacySoarUsers are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `givenName` \* `familyName` \* `socRole` \* `email` \* `avatar` \* `userType` \* `lastLoginTime` \* `environmentsJson` \* `accountState` \* `login_id` \* `provider_display_name` example: "givenName desc, familyName" |

### Request body

The request body must be empty.

### Response body

Response message for legacySoarUsers.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "legacySoarUsers": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers#LegacySoarUser`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `legacySoarUsers[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarUsers#LegacySoarUser`)`` The list of LegacySoarUsers. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of LegacySoarUsers matching the request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.legacySoarUsers.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).